<mat-accordion>
  <mat-expansion-panel [expanded]="true" class="mb-2">
    <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
      <mat-panel-title><h6>Reviewer Tasks</h6></mat-panel-title>
    </mat-expansion-panel-header>
    <div [formGroup]="form">
      <div class="form-row">
        <div class="form-group form-group-sm row col-24 col-xxl-12">
          <label class="col-form-label col-24 col-lg-4 col-xxl-8" [ngClass]="{ 'text-danger' : isRequired('name') }">Reviewed By: </label>
          <div class="col-24 col-lg-20 col-xl-12 col-xxl-16 pl-0 pl-lg-3">
            <div class="input-group">
              <input type="text" class="form-control form-control-sm" formControlName="name" />
              <app-user-finder *ngIf="option.userFinder?.isEnabled" id="reviewer" [group]="form" [option]="option.userFinder"></app-user-finder>
            </div>
            <div *ngIf="name.invalid && (name.dirty || name.touched || isSubmitted)">
              <ng-container *ngFor="let validator of option.name?.validators">
                <span *ngIf="name.errors[validator.name]" class="form-text text-danger">
                  {{ validator.message }}
                </span>
              </ng-container>
            </div>
            <div *ngIf="id.invalid && (id.dirty || id.touched || isSubmitted)">
              <ng-container *ngFor="let validator of option.id?.validators">
                <span *ngIf="id.errors[validator.name]" class="form-text text-danger">
                  {{ validator.message }}
                </span>
              </ng-container>
            </div>
          </div>
        </div>
      </div>
      <div class="form-row">
        <div class="form-group form-group-sm row col-24 col-xxl-12">
          <label class="col-form-label col-24 col-lg-4 col-xxl-8">Reviewer Comments: </label>
          <div class="col-24 col-lg-20 col-xl-12 col-xxl-16 pl-0 pl-lg-3">
            <textarea rows="5" class="form-control form-control-sm" formControlName="comments"></textarea>
          </div>
        </div>
      </div>
      <input type="hidden" formControlName="id" />
    </div>
  </mat-expansion-panel>
</mat-accordion>
